package ecoparasite.poisson;

import ecoparasite.input.InputFactory;
import ecoparasite.input.InputFileException;
import ecoparasite.input.RawData;
import ecoparasite.input.RawDataOverflow;
import org.junit.jupiter.api.Test;

import java.util.HashSet;

import static org.junit.jupiter.api.Assertions.*;

class MerluTest {

    @Test
    void parse() throws InputFileException, RawDataOverflow {

        RawData test = InputFactory.readData( InputFactory.DATA_MERLU );
        HashSet<Poisson> fishs = Merlu.parse( test );

        for( Poisson poisson : fishs){
            System.out.println(poisson);
        }
    }

}